Invoice Actions
POST
https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actionsThis endpoint allows the partner to request a refund for an invoice to Vercel. The invoice is created using the Submit Invoice API.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { await vercel.marketplace.updateInvoice({ integrationConfigurationId: "<id>", invoiceId: "<id>", requestBody: { action: "refund", reason: "<value>", total: "<value>", }, });
}
run();Response
{}AuthorizationbearerToken
Default authentication mechanism